<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Introduction &mdash; Medusa Nodes 1.1.0-beta documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/custom.css" type="text/css" />
    <link rel="shortcut icon" href="_static/medusa_nodes_favicon.ico"/>
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Nodes" href="nodes.html" />
    <link rel="prev" title="Installation" href="installation.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> Medusa Nodes
            <img src="_static/medusa_node_logo_animation_003.gif" class="logo" alt="Logo"/>
          </a>
              <div class="version">
                1.1.0-beta
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="about.html">About</a></li>
<li class="toctree-l1"><a class="reference internal" href="release_notes.html">Release Notes</a></li>
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Introduction</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#workflow">Workflow</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#object-types">Object Types</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="nodes.html">Nodes</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Medusa Nodes</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a></li>
      <li class="breadcrumb-item active">Introduction</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/introduction.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="introduction">
<span id="id1"></span><h1>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline"></a></h1>
<section id="workflow">
<h2>Workflow<a class="headerlink" href="#workflow" title="Permalink to this headline"></a></h2>
<p class="linemarker linemarker-10"><em>Medusa Nodes</em> utilizes a workflow similar to many other industry-standard procedural hair creation toolsets, but it also incorporates unique Blender-esque features made possible by Blender’s powerful Geometry Nodes system.</p>
<p class="linemarker linemarker-12">To be able to understand the workflow, first we need to understand which types of objects <em>Medusa Nodes</em> uses.</p>
<hr class="docutils" />
<section id="object-types">
<h3>Object Types<a class="headerlink" href="#object-types" title="Permalink to this headline"></a></h3>
<p class="linemarker linemarker-19">There are 3 distinct object types relevant to the <em>Medusa Nodes</em> procedural workflow:</p>
<ol class="arabic simple">
<li><p class="linemarker linemarker-21"><strong>Hair</strong></p>
<ul class="simple">
<li><p class="linemarker linemarker-23"><em>Hair</em> object is the actual hair or fur of a 3D character, with individual hair follicles represented as splines.</p></li>
<li><p class="linemarker linemarker-24"><em>Hair</em> object receives all the deformations from different deformers and is intended for rendering.</p></li>
</ul>
</li>
<li><p class="linemarker linemarker-26"><strong>Guide</strong></p>
<ul class="simple">
<li><p class="linemarker linemarker-28"><em>Guide</em> object is similar to <em>Hair</em> object internally, but it serves as parent for splines (individual hair follicles) in the <em>Hair</em> object.</p></li>
<li><p class="linemarker linemarker-29"><em>Guides</em> deform the splines using the Guide deformer, by doing so they define the flow and direction of the hair.</p></li>
<li><p class="linemarker linemarker-30">In the context of Blender Particle Hair: the <em>Guide</em> is the parent particle, while the <em>Hair</em> is the interpolated child particle.</p></li>
</ul>
</li>
<li><p class="linemarker linemarker-32"><strong>Emitter</strong></p>
<ul class="simple">
<li><p class="linemarker linemarker-34"><em>Emitter</em> is the mesh geometry used by <em>Hair</em> object to generate hair strands.</p></li>
<li><p class="linemarker linemarker-35">It’s essential for <em>Emitter</em> to have a proper UVMap.</p></li>
</ul>
</li>
</ol>
<figure class="align-center" style="width: 100%">
<a class="reference internal image-reference" href="_images/structure.JPG"><img alt="_images/structure.JPG" src="_images/structure.JPG" style="width: 400px;" /></a>
</figure>
<hr class="docutils" />
<hr class="docutils" />
<hr class="docutils" />
<hr class="docutils" />
</section>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="installation.html" class="btn btn-neutral float-left" title="Installation" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="nodes.html" class="btn btn-neutral float-right" title="Nodes" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, Medusa Nodes.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>